/**********************
*   CSS for Acei.us   *
*     By AceiusIO     *
*    Version Tokyo    *
**********************/

html {
    scroll-behavior: smooth;
    background-color: var(--footer);
}

#app {
    background-color: var(--background);
    color: var(--foreground);
}

.container {
    font-family: 'Roboto', sans-serif;
        font-weight: lighter;
} 

h1, h2, h3{
    font-family: 'Ubuntu', sans-serif;
        font-weight: lighter;
}

.text-gradiant {
    background: linear-gradient(to right,#0000ff,#800080); 
    -webkit-text-fill-color: transparent; 
    -webkit-background-clip: text;
}
/* Vendor Classes */
::-webkit-scrollbar-thumb {
    background-color: #424242 !important;
}
::-webkit-scrollbar {
    background-color: transparent !important
}
::-moz-selection {
    color: white;
    background: var(--highlight);
} ::selection {
    color: white;
    background: var(--highlight);
}
/* Homepage Classes */
.home-right {
    text-align: right;
}
.home-center {
    text-align: center;
}
.home-left {
    text-align: left;
}

/* Header Classes */
.io-header {
    background: linear-gradient(to right, blue, purple);
    background-size: 200% 200%;
    color: white;
    text-align: center;
    font-weight: normal;
    font-family: 'Roboto';

    -webkit-animation: aceius-header 8s ease infinite;
    -moz-animation: aceius-header 8s ease infinite;
    animation: aceius-header 8s ease infinite;
}

@-webkit-keyframes aceius-header {
    0%{background-position:0% 50%}
    50%{background-position:100% 50%}
    100%{background-position:0% 50%}
}
@-moz-keyframes aceius-header {
    0%{background-position:0% 50%}
    50%{background-position:100% 50%}
    100%{background-position:0% 50%}
}
@keyframes aceius-header {
    0%{background-position:0% 50%}
    50%{background-position:100% 50%}
    100%{background-position:0% 50%}
}
/* Buttons & Stuff */
.io-header a:hover {
    font-weight: lighter;
}
.io-btn {
    background-image: linear-gradient(to bottom right,blue,purple);
    background-color: blue;
    color: white;
    text-align: center;
    font-weight: normal;
}
/* Footer Classes */
.io-footer {
    background-color: var(--footer);
    color: white;
    font-weight: normal;
    font-size: small;
    padding-top: 2.5rem;
    width: 100%;
}
.ft-gradient {
    background-image: linear-gradient(to bottom, rgba(0,0,0,0), var(--footer));
}
/* Page Specific */
.blogpost {
    padding-left: 2.5rem;
    padding-right: 2.5rem;
}
/* Code Classes */
code {
    font-family: 'Ubuntu Mono', monospace;
    background-color: #ccc;
    padding: 2.5px;
    border-radius: 2px;
    color: #525252;
}
.code {
    font-family: 'Ubuntu Mono', monospace;
    background-color: #ccc;
    padding: 5px;
    border-radius: 5px;
    color: #525252;
} .background-image {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    filter: blur(8px);
  -webkit-filter: blur(8px);
}

/* Generated by Animista - animista.net */
.tracking-in-expand{-webkit-animation:tracking-in-expand 1.5s cubic-bezier(.215,.61,.355,1.000) both;animation:tracking-in-expand 1.5s cubic-bezier(.215,.61,.355,1.000) both} @-webkit-keyframes tracking-in-expand{0%{letter-spacing:-.5em;opacity:0}40%{opacity:.6}100%{opacity:1}}@keyframes tracking-in-expand{0%{letter-spacing:-.5em;opacity:0}40%{opacity:.6}100%{opacity:1}}
.background-image:hover{-webkit-animation:kenburns-top-left 5s ease-out both;animation:kenburns-top-left 5s ease-out both}@-webkit-keyframes kenburns-top-left{0%{-webkit-transform:scale(1) translate(0,0);transform:scale(1) translate(0,0);-webkit-transform-origin:16% 16%;transform-origin:16% 16%}100%{-webkit-transform:scale(1.25) translate(-20px,-15px);transform:scale(1.25) translate(-20px,-15px);-webkit-transform-origin:top left;transform-origin:top left}}@keyframes kenburns-top-left{0%{-webkit-transform:scale(1) translate(0,0);transform:scale(1) translate(0,0);-webkit-transform-origin:16% 16%;transform-origin:16% 16%}100%{-webkit-transform:scale(1.25) translate(-20px,-15px);transform:scale(1.25) translate(-20px,-15px);-webkit-transform-origin:top left;transform-origin:top left}}